Subject: Re: bug#64799: [PATCH] Add 'project-prompt-key' face

From: Dmitry Gutov <[email-masked]>
Date: Tue, 25 Jul 2023 16:05:15 +0300

On 25/07/2023 09:39, Philip Kaludercic wrote:

>> Indeed, so if we switch to it in project.el, it will need some
>> polyfill for Emacs 26-27.
> 
> If there is interest, this face could be added to the Compat package, if
> it would be OK to add Compat as a dependency for project.el on ELPA
> (this would also mean that project.el wouldn't have to use a custom
> `project--buffer-check'/`buffer-match-p' implementation).

Good suggestion, but let's hold off on that still.

> Alternatively, we could add a version/facep check and always prefer
> `help-key-binding' if it is available, otherwise fall-back to the
> current option.

That works for me.

>>> Perhaps a user option for the whole 'format' would be better?
>>
>> We can add a user option. But while we could also apply 'face'
>> property on that option's string value, that doesn't seem like a very
>> user-friendly approach toward someone who will want to change the face
>> used (it will require some Lisp knowledge from the user).
>>
>> But a user option to change how the prompt text is constructed -- why
>> not. E.g. one defaulting to "[%s] %s".
> 
> Is there really such a wide range of options that users might be
> interested in here?

Protesilaos wanted to use a different format?